#ifndef __APPLICATION_H__
#define __APPLICATION_H__

#include <wx/wx.h>
#include "FrameMain.h"
#include "FrameScribble.h"

//-----------------------------------------------------------------------------
// Application
//-----------------------------------------------------------------------------
class Application : public wxApp {
private:
	FrameMain *_pFrameMain;
	FrameScribble *_pFrameScribble;
public:
	virtual bool OnInit();
	inline FrameMain *GetFrameMain() { return _pFrameMain; }
	inline FrameScribble *GetFrameScribble() { return _pFrameScribble; }
	static Application *GetInstance() {
		return dynamic_cast<Application *>(wxApp::GetInstance());
	}
};

#endif
